Bug 120860 - [patch] games/atr3d unbreak fix build on 64 bits platforms + adopt maintainship
Summary: [patch] games/atr3d unbreak fix build on 64 bits platforms + adopt maintainship
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pietro Cerutti
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-02-19 23:20 UTC by Pietro Cerutti
Modified: 2008-02-25 22:12 UTC (History)
0 users

See Also:


Attachments
_atr3d.diff (5.32 KB, patch)
2008-02-19 23:20 UTC, Pietro Cerutti
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pietro Cerutti 2008-02-19 23:20:01 UTC

It's sad, but there's still people casting void pointers to int...

While at it, fix a few const string deprecated conversions and adopt maintainship
Comment 1 Edwin Groothuis freebsd_committer 2008-02-19 23:20:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2008-02-20 23:29:06 UTC
Responsible Changed
From-To: miwi->gahr

Submitter is now Committer.
Comment 3 dfilter service freebsd_committer 2008-02-25 21:44:35 UTC
gahr        2008-02-25 21:44:26 UTC

  FreeBSD ports repository

  Modified files:
    games/atr3d          Makefile 
  Added files:
    games/atr3d/files    patch-init.cpp patch-mainplayerthread.cpp 
                         patch-menu.cpp patch-radar.cpp 
                         patch-servergame.cpp 
  Log:
  - Fix build on 64-bits platforms
  - Adopt maintainship
  
  PR:      120860
  Approved by:    miwi (mentor)
  
  Revision  Changes    Path
  1.27      +2 -10     ports/games/atr3d/Makefile
  1.1       +31 -0     ports/games/atr3d/files/patch-init.cpp (new)
  1.1       +42 -0     ports/games/atr3d/files/patch-mainplayerthread.cpp (new)
  1.1       +24 -0     ports/games/atr3d/files/patch-menu.cpp (new)
  1.1       +11 -0     ports/games/atr3d/files/patch-radar.cpp (new)
  1.1       +11 -0     ports/games/atr3d/files/patch-servergame.cpp (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Pietro Cerutti freebsd_committer 2008-02-25 22:12:57 UTC
State Changed
From-To: open->closed

Committed. Thanks!